Package wx :: Package lib :: Module buttons :: Class GenBitmapButton

[frames | no frames]

## Type GenBitmapButton

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                     PyControl --+
                                 |
                         GenButton --+
                                     |
                                    GenBitmapButton

Known Subclasses:
  `ColourSelect`, `GenBitmapTextButton`, `GenBitmapToggleButton`, `ThemedGenBitmapButton`

A generic bitmap button.

Method Summary
| `__init__(self, parent, id, bitmap, pos, size, style, validator, name)`
| `DrawLabel(self, dc, width, height, dw, dy)`
| `GetBitmapDisabled(self)`
| `GetBitmapFocus(self)`
| `GetBitmapLabel(self)`
| `GetBitmapSelected(self)`
| ``SetBitmapDisabled`(self, bitmap)` Set bitmap to display when the button is disabled
| ``SetBitmapFocus`(self, bitmap)` Set bitmap to display when the button has the focus
| ``SetBitmapLabel`(self, bitmap, createOthers)` Set the bitmap to display normally.
| ``SetBitmapSelected`(self, bitmap)` Set bitmap to display when the button is selected (pressed down)

Property Summary

Class Variable Summary

Instance Method Details

### SetBitmapDisabled(self, bitmap)

Set bitmap to display when the button is disabled

### SetBitmapFocus(self, bitmap)

Set bitmap to display when the button has the focus

### SetBitmapLabel(self, bitmap, createOthers=True)

Set the bitmap to display normally. This is the only one that is required. If createOthers is True, then the other bitmaps will be generated on the fly. Currently, only the disabled bitmap is generated.

### SetBitmapSelected(self, bitmap)

Set bitmap to display when the button is selected (pressed down)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:31 2007 | http://epydoc.sf.net